Bug 1061152 - [RDO][openstack-foreman-installer]: When attempting to deploy foreman-client on Fedora20 - It seems puppet fails to connect the mariadb.
Summary: [RDO][openstack-foreman-installer]: When attempting to deploy foreman-client ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: RDO
Classification: Community
Component: openstack-foreman-installer
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Jason Guiditta
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 12:57 UTC by Omri Hochman
Modified: 2015-03-20 17:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 17:32:11 UTC
lars: needinfo-


Attachments (Terms of Use)
Comment (75.66 KB, text/plain)
2014-02-04 12:57 UTC, Omri Hochman
no flags Details

Description Omri Hochman 2014-02-04 12:57:56 UTC
Created attachment 915840 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 1 Omri Hochman 2014-02-04 13:39:17 UTC
After installation failed the mariadb service was down ->  I've started mariadb service and rerun 'puppet agent -t -v'  : 
-------------------------------------------------------


[root@oh-havana-controller sys]# rpm -qa | grep mariadb
mariadb-5.5.34-3.fc20.x86_64
mariadb-libs-5.5.34-3.fc20.x86_64
mariadb-server-5.5.34-3.fc20.x86_64

[root@oh-havana-controller sys]# service mariadb status
Redirecting to /bin/systemctl status  mariadb.service
mariadb.service - MariaDB database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; disabled)
   Active: failed (Result: exit-code) since Tue 2014-02-04 15:06:51 IST; 26min ago
  Process: 10443 ExecStartPost=/usr/libexec/mariadb-wait-ready $MAINPID (code=exited, status=1/FAILURE)
  Process: 10442 ExecStart=/usr/bin/mysqld_safe --basedir=/usr (code=exited, status=1/FAILURE)
  Process: 10420 ExecStartPre=/usr/libexec/mariadb-prepare-db-dir %n (code=exited, status=0/SUCCESS)
 Main PID: 10442 (code=exited, status=1/FAILURE)
   CGroup: /system.slice/mariadb.service

Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: 140204 15:06:50 mysqld_safe Logging to '/var/log/mariadb/mariadb.log'.
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: 140204 15:06:50 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: /usr/bin/mysqld_safe: line 138: /var/log/mariadb/mariadb.log: Permission denied
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: /usr/bin/mysqld_safe: line 182: /var/log/mariadb/mariadb.log: Permission denied
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: 140204 15:06:50 mysqld_safe mysqld from pid file /var/run/mariadb/mariadb.pid ended
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[10442]: /usr/bin/mysqld_safe: line 138: /var/log/mariadb/mariadb.log: Permission denied
Feb 04 15:06:50 oh-havana-controller.scl.lab.tlv.redhat.com systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Feb 04 15:06:51 oh-havana-controller.scl.lab.tlv.redhat.com systemd[1]: mariadb.service: control process exited, code=exited status=1
Feb 04 15:06:51 oh-havana-controller.scl.lab.tlv.redhat.com systemd[1]: Failed to start MariaDB database server.
Feb 04 15:06:51 oh-havana-controller.scl.lab.tlv.redhat.com systemd[1]: Unit mariadb.service entered failed state.
[root@oh-havana-controller sys]# service mariadb start
Redirecting to /bin/systemctl start  mariadb.service
[root@oh-havana-controller sys]# 
[root@oh-havana-controller sys]# 
[root@oh-havana-controller sys]# service mariadb status
Redirecting to /bin/systemctl status  mariadb.service
mariadb.service - MariaDB database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; disabled)
   Active: active (running) since Tue 2014-02-04 15:33:08 IST; 1s ago
  Process: 11338 ExecStartPost=/usr/libexec/mariadb-wait-ready $MAINPID (code=exited, status=0/SUCCESS)
  Process: 11314 ExecStartPre=/usr/libexec/mariadb-prepare-db-dir %n (code=exited, status=0/SUCCESS)
 Main PID: 11337 (mysqld_safe)
   CGroup: /system.slice/mariadb.service
           ├─11337 /bin/sh /usr/bin/mysqld_safe --basedir=/usr
           └─11521 /usr/libexec/mysqld --basedir=/usr --datadir=/var/lib/mysql --plugin-dir=/usr/lib64/mysql/plugin --log-error=/var/log/mariadb/mariadb.log --pid-file=/var/run/mariadb/ma...

Feb 04 15:33:06 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[11337]: 140204 15:33:06 mysqld_safe Logging to '/var/log/mariadb/mariadb.log'.
Feb 04 15:33:06 oh-havana-controller.scl.lab.tlv.redhat.com mysqld_safe[11337]: 140204 15:33:06 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
Feb 04 15:33:08 oh-havana-controller.scl.lab.tlv.redhat.com systemd[1]: Started MariaDB database server.

Comment 2 Omri Hochman 2014-02-04 13:40:42 UTC
after started the mariadb service the puppet agent failed again : 
-------------------------------------------------------------------

[root@oh-havana-controller sys]# puppet agent -t -v
Info: Retrieving plugin
Info: Loading facts in /var/lib/puppet/lib/facter/ip6tables_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/hamysql_active_node.rb
Info: Loading facts in /var/lib/puppet/lib/facter/ipa_client_configured.rb
Info: Loading facts in /var/lib/puppet/lib/facter/network.rb
Info: Loading facts in /var/lib/puppet/lib/facter/pe_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_vardir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/netns_support.rb
Info: Loading facts in /var/lib/puppet/lib/facter/facter_dot_d.rb
Info: Loading facts in /var/lib/puppet/lib/facter/iptables_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/root_home.rb
Info: Caching catalog for oh-havana-controller.scl.lab.tlv.redhat.com
Info: Applying configuration version '1391508242'
Notice: /Stage[main]/Apache/File[/etc/httpd/conf/httpd.conf]/content: 
--- /etc/httpd/conf/httpd.conf  2014-02-04 15:06:52.820735746 +0200
+++ /tmp/puppet-file20140204-11570-160c1c6      2014-02-04 15:34:11.012735746 +0200
@@ -131,7 +131,7 @@
 # prevent Apache from glomming onto all bound IP addresses (0.0.0.0)
 #
 #Listen 12.34.56.78:80
-Listen 0.0.0.0:80
+Listen 80
 
 #
 # Load config files from the config directory "/etc/httpd/conf.d".

Info: FileBucket got a duplicate file {md5}716b40d1de69187bba4a36821f699591
Info: /Stage[main]/Apache/File[/etc/httpd/conf/httpd.conf]: Filebucketed /etc/httpd/conf/httpd.conf to puppet with sum 716b40d1de69187bba4a36821f699591
Notice: /Stage[main]/Apache/File[/etc/httpd/conf/httpd.conf]/content: content changed '{md5}716b40d1de69187bba4a36821f699591' to '{md5}ec999e9a079a8fad9e374a8e01df47f4'
Info: /Stage[main]/Apache/File[/etc/httpd/conf/httpd.conf]: Scheduling refresh of Service[httpd]
Notice: /Stage[main]/Heat::Engine/Heat_config[DEFAULT/auth_encryption_key]/value: value changed 'c6e6aa3a81c312b05d08065e8b05b6da' to '%ENCRYPTION_KEY%'
Info: /Stage[main]/Heat::Engine/Heat_config[DEFAULT/auth_encryption_key]: Scheduling refresh of Service[heat-api-cfn]
Info: /Stage[main]/Heat::Engine/Heat_config[DEFAULT/auth_encryption_key]: Scheduling refresh of Service[heat-api-cloudwatch]
Info: /Stage[main]/Heat::Engine/Heat_config[DEFAULT/auth_encryption_key]: Scheduling refresh of Service[heat-engine]
Info: /Stage[main]/Heat::Engine/Heat_config[DEFAULT/auth_encryption_key]: Scheduling refresh of Service[heat-api]
Warning: /Stage[main]/Qpid::Server/File[/etc/qpidd.conf]: Ensure set to :present but file type is link so no content will be synced
Error: Could not enable mysqld: Execution of '/sbin/chkconfig mysqld on' returned 1: Note: Forwarding request to 'systemctl enable mysqld.service'.
Failed to issue method call: No such file or directory

Error: /Stage[main]/Mysql::Server/Service[mysqld]/enable: change from false to true failed: Could not enable mysqld: Execution of '/sbin/chkconfig mysqld on' returned 1: Note: Forwarding request to 'systemctl enable mysqld.service'.
Failed to issue method call: No such file or directory

Notice: /Stage[main]/Swift::Proxy/Service[swift-proxy]/ensure: ensure changed 'stopped' to 'running'
Info: /Stage[main]/Swift::Proxy/Service[swift-proxy]: Unscheduling refresh on Service[swift-proxy]
Notice: /Stage[main]/Horizon/File_line[httpd_listen_on_bind_address_80]/ensure: created
Info: /Stage[main]/Horizon/File_line[httpd_listen_on_bind_address_80]: Scheduling refresh of Service[httpd]
Notice: /Stage[main]/Mysql::Config/File[/etc/mysql]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/File[/etc/mysql]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Config/File[/etc/my.cnf]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/File[/etc/my.cnf]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Config/File[/etc/mysql/conf.d]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/File[/etc/mysql/conf.d]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Config/Exec[set_mysql_rootpw]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/Exec[set_mysql_rootpw]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Config/File[/root/.my.cnf]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/File[/root/.my.cnf]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Config/Exec[mysqld-restart]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Config/Exec[mysqld-restart]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[root@oh-havana-controller]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[root@oh-havana-controller]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[@oh-havana-controller]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[@oh-havana-controller]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[@%]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[root@::1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[root@::1]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database[glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database[glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[%]/Database_user[glance@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[%]/Database_user[glance@%]: Skipping because of failed dependencies
Error: Could not prefetch database_grant provider 'mysql': Execution of '/usr/bin/mysql --defaults-file=/root/.my.cnf mysql -Be describe user' returned 1: Could not open required defaults file: /root/.my.cnf
Fatal error in defaults handling. Program aborted

Notice: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[%]/Database_grant[glance@%/glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[%]/Database_grant[glance@%/glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[@localhost]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[@localhost]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[@oh-havana-controller.scl.lab.tlv.redhat.com]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[@oh-havana-controller.scl.lab.tlv.redhat.com]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database[nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database[nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[%]/Database_user[nova@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[%]/Database_user[nova@%]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database_user[nova@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database_user[nova@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[10.35.161.188]/Database_user[nova@10.35.161.188]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[10.35.161.188]/Database_user[nova@10.35.161.188]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[%]/Database_grant[nova@%/nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[%]/Database_grant[nova@%/nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[10.35.161.188]/Database_grant[nova@10.35.161.188/nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Nova::Db::Mysql::Host_access[10.35.161.188]/Database_grant[nova@10.35.161.188/nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database[cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database[cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database_user[cinder@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database_user[cinder@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database_grant[cinder@127.0.0.1/cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Mysql::Db[cinder]/Database_grant[cinder@127.0.0.1/cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[10.35.161.188]/Database_user[cinder@10.35.161.188]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[10.35.161.188]/Database_user[cinder@10.35.161.188]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[10.35.161.188]/Database_grant[cinder@10.35.161.188/cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[10.35.161.188]/Database_grant[cinder@10.35.161.188/cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[root@oh-havana-controller.scl.lab.tlv.redhat.com]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[root@oh-havana-controller.scl.lab.tlv.redhat.com]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database[test]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database[test]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[%]/Database_user[cinder@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[%]/Database_user[cinder@%]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[%]/Database_grant[cinder@%/cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Cinder::Db::Mysql::Host_access[%]/Database_grant[cinder@%/cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[10.35.161.188]/Database_user[glance@10.35.161.188]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[10.35.161.188]/Database_user[glance@10.35.161.188]: Skipping because of failed dependencies
Notice: /Stage[main]/Mysql::Server::Account_security/Database_user[root@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Mysql::Server::Account_security/Database_user[root@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database_grant[nova@127.0.0.1/nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Db::Mysql/Mysql::Db[nova]/Database_grant[nova@127.0.0.1/nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Anchor[nova-start]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Anchor[nova-start]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Package[nova-common]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Package[nova-common]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_extension_sync_interval]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_extension_sync_interval]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/network_api_class]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/network_api_class]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/debug]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/debug]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_hostname]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_hostname]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval_min]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval_min]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/memcached_servers]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/memcached_servers]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Group[nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Group[nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_default_tenant_id]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_default_tenant_id]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_auth_url]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_auth_url]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/glance_api_servers]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/glance_api_servers]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Vncproxy/Nova_config[DEFAULT/novncproxy_host]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Vncproxy/Nova_config[DEFAULT/novncproxy_host]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_ca_certificates_file]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_ca_certificates_file]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/state_path]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/state_path]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_username]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_username]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_region_name]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_region_name]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/verbose]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/verbose]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/security_group_api]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/security_group_api]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[database/idle_timeout]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[database/idle_timeout]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer/User[ceilometer]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer/User[ceilometer]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer/File[/etc/ceilometer/]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer/File[/etc/ceilometer/]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_password]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_password]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_timeout]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_timeout]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_url_timeout]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_url_timeout]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/image_service]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/image_service]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/firewall_driver]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/firewall_driver]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_password]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_password]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/logdir]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/logdir]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Vncproxy/Nova_config[DEFAULT/novncproxy_port]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Vncproxy/Nova_config[DEFAULT/novncproxy_port]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[database/connection]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[database/connection]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_auth_strategy]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_auth_strategy]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/User[nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/User[nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/File[/var/log/nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/File[/var/log/nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval_max]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_interval_max]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_ovs_bridge]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_ovs_bridge]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_heartbeat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_heartbeat]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_tenant_name]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_tenant_name]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/lock_path]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/lock_path]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_limit]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_reconnect_limit]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/service_down_time]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/service_down_time]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_protocol]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_protocol]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_url]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_url]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_compute_listen]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_compute_listen]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_port]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_port]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/ec2_listen]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/ec2_listen]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_password]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_password]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_user]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_user]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_protocol]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_protocol]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/enabled_apis]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/enabled_apis]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/volume_api_class]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/volume_api_class]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/neutron_metadata_proxy_shared_secret]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/neutron_metadata_proxy_shared_secret]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_host]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_host]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_admin_prefix]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_admin_prefix]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_tenant_name]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/admin_tenant_name]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/service_neutron_metadata_proxy]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/service_neutron_metadata_proxy]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/use_forwarded_for]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/use_forwarded_for]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_volume_listen]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_volume_listen]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/metadata_listen]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/metadata_listen]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/auth_strategy]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/auth_strategy]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_compute_workers]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[DEFAULT/osapi_compute_workers]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/rootwrap_config]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/rootwrap_config]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/rpc_backend]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/rpc_backend]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_tcp_nodelay]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_tcp_nodelay]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/use_syslog]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/use_syslog]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_port]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Nova_config[DEFAULT/qpid_port]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_uri]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_config[keystone_authtoken/auth_uri]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database[heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database[heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database_user[heat@localhost]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database_user[heat@localhost]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Db::Mysql/Heat::Db::Mysql::Host_access[%%]/Database_user[heat@%%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Db::Mysql/Heat::Db::Mysql::Host_access[%%]/Database_user[heat@%%]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database_grant[heat@localhost/heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Db::Mysql/Mysql::Db[heat]/Database_grant[heat@localhost/heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Db::Mysql/Heat::Db::Mysql::Host_access[%%]/Database_grant[heat@%%/heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Db::Mysql/Heat::Db::Mysql::Host_access[%%]/Database_grant[heat@%%/heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer/File[/etc/ceilometer/ceilometer.conf]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer/File[/etc/ceilometer/ceilometer.conf]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database[neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database[neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[%]/Database_user[neutron@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[%]/Database_user[neutron@%]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database_user[neutron@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database_user[neutron@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[%]/Database_grant[neutron@%/neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[%]/Database_grant[neutron@%/neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[10.35.161.188]/Database_user[neutron@10.35.161.188]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[10.35.161.188]/Database_user[neutron@10.35.161.188]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[10.35.161.188]/Database_grant[neutron@10.35.161.188/neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Neutron::Db::Mysql::Host_access[10.35.161.188]/Database_grant[neutron@10.35.161.188/neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database[keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database[keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database_user[keystone@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database_user[keystone@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[%]/Database_user[keystone@%]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[%]/Database_user[keystone@%]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database_grant[keystone@127.0.0.1/keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Mysql::Db[keystone]/Database_grant[keystone@127.0.0.1/keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[%]/Database_grant[keystone@%/keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[%]/Database_grant[keystone@%/keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[10.35.161.188]/Database_user[keystone@10.35.161.188]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[10.35.161.188]/Database_user[keystone@10.35.161.188]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[10.35.161.188]/Database_grant[keystone@10.35.161.188/keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Db::Mysql/Keystone::Db::Mysql::Host_access[10.35.161.188]/Database_grant[keystone@10.35.161.188/keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_username]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Network::Neutron/Nova_config[DEFAULT/neutron_admin_username]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/File[/etc/nova/nova.conf]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/File[/etc/nova/nova.conf]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database_user[glance@127.0.0.1]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database_user[glance@127.0.0.1]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database_grant[glance@127.0.0.1/glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Mysql::Db[glance]/Database_grant[glance@127.0.0.1/glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Api/Exec[cinder-manage db_sync]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Api/Exec[cinder-manage db_sync]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Scheduler/Service[cinder-scheduler]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Scheduler/Service[cinder-scheduler]: Skipping because of failed dependencies
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns: No handlers could be found for logger "neutron.common.legacy"
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns: Traceback (most recent call last):
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/bin/neutron-db-manage", line 10, in <module>
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     sys.exit(main())
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 143, in main
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     CONF.command.func(config, CONF.command.name)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 80, in do_upgrade_downgrade
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     do_alembic_command(config, cmd, revision, sql=CONF.command.sql)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 59, in do_alembic_command
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     getattr(alembic_command, cmd)(config, *args, **kwargs)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/command.py", line 123, in upgrade
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     script.run_env()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/script.py", line 193, in run_env
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     util.load_python_file(self.dir, 'env.py')
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/util.py", line 177, in load_python_file
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     module = imp.load_source(module_id, path, open(path, 'rb'))
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/alembic_migrations/env.py", line 105, in <module>
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     run_migrations_online()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/alembic_migrations/env.py", line 80, in run_migrations_online
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     connection = engine.connect()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 1641, in connect
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return self._connection_cls(self, **kwargs)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 59, in __init__
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     self.__connection = connection or engine.raw_connection()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 1699, in raw_connection
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return self.pool.unique_connection()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 220, in unique_connection
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return _ConnectionFairy(self).checkout()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 431, in __init__
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     rec = self._connection_record = pool._do_get()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 871, in _do_get
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return self._create_connection()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 225, in _create_connection
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return _ConnectionRecord(self)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 318, in __init__
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     self.connection = self.__connect()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/pool.py", line 379, in __connect
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     connection = self.__pool._creator()
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/strategies.py", line 80, in connect
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return dialect.connect(*cargs, **cparams)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/default.py", line 283, in connect
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return self.dbapi.connect(*cargs, **cparams)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/MySQLdb/__init__.py", line 81, in Connect
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     return Connection(*args, **kwargs)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib64/python2.7/site-packages/MySQLdb/connections.py", line 187, in __init__
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns:     super(Connection, self).__init__(*args, **kwargs2)
Notice: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns: sqlalchemy.exc.OperationalError: (OperationalError) (1045, "Access denied for user 'neutron'@'oh-havana-controller.scl.lab.tlv.redhat.com' (using password: YES)") None None
Error: neutron-db-manage --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini upgrade head returned 1 instead of one of [0]
Error: /Stage[main]/Quickstack::Neutron::Controller/Exec[neutron-db-manage upgrade]/returns: change from notrun to 0 failed: neutron-db-manage --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini upgrade head returned 1 instead of one of [0]
Notice: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[10.35.161.188]/Database_grant[glance@10.35.161.188/glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Db::Mysql/Glance::Db::Mysql::Host_access[10.35.161.188]/Database_grant[glance@10.35.161.188/glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova::Generic_service[api]/Package[nova-api]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova::Generic_service[api]/Package[nova-api]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_tenant_name]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_tenant_name]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_uri]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_uri]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_user]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_user]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_port]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_port]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_password]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/admin_password]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_admin_prefix]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_admin_prefix]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_protocol]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_protocol]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_host]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova_paste_api_ini[filter:authtoken/auth_host]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova/Exec[post-nova_config]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova/Exec[post-nova_config]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Exec[nova-db-sync]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Exec[nova-db-sync]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Vncproxy/Nova::Generic_service[vncproxy]/Service[nova-vncproxy]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Vncproxy/Nova::Generic_service[vncproxy]/Service[nova-vncproxy]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Consoleauth/Nova::Generic_service[consoleauth]/Service[nova-consoleauth]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Consoleauth/Nova::Generic_service[consoleauth]/Service[nova-consoleauth]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Api/Nova::Generic_service[api]/Service[nova-api]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Api/Nova::Generic_service[api]/Service[nova-api]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Scheduler/Nova::Generic_service[scheduler]/Service[nova-scheduler]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Scheduler/Nova::Generic_service[scheduler]/Service[nova-scheduler]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Conductor/Nova::Generic_service[conductor]/Service[nova-conductor]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Conductor/Nova::Generic_service[conductor]/Service[nova-conductor]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database_grant[neutron@127.0.0.1/neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Db::Mysql/Mysql::Db[neutron]/Database_grant[neutron@127.0.0.1/neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone/Exec[keystone-manage db_sync]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone/Exec[keystone-manage db_sync]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone/Service[keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone/Service[keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_role[_member_]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_role[_member_]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Keystone::Auth/Keystone_service[neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Keystone::Auth/Keystone_service[neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_service[ceilometer]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_service[ceilometer]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_tenant[admin]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_tenant[admin]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_role[ResellerAdmin]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_role[ResellerAdmin]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_role[Member]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_role[Member]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_service[nova_ec2]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_service[nova_ec2]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_role[SwiftOperator]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_role[SwiftOperator]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_service[heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_service[heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_endpoint[RegionOne/heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_endpoint[RegionOne/heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_endpoint[RegionOne/ceilometer]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_endpoint[RegionOne/ceilometer]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_tenant[services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_tenant[services]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Keystone::Auth/Keystone_user[neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Keystone::Auth/Keystone_user[neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_user[heat]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_user[heat]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_user[nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_user[nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Keystone::Auth/Keystone_user[glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Keystone::Auth/Keystone_user[glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_role[admin]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_role[admin]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_user_role[heat@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_user_role[heat@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Keystone::Auth/Keystone_user_role[glance@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Keystone::Auth/Keystone_user_role[glance@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Endpoint/Keystone_service[keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Endpoint/Keystone_service[keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Endpoint/Keystone_endpoint[RegionOne/keystone]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Endpoint/Keystone_endpoint[RegionOne/keystone]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_role[heat_stack_user]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_role[heat_stack_user]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_service[heat-cfn]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_service[heat-cfn]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_user[ceilometer]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_user[ceilometer]: Skipping because of failed dependencies
Notice: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_user_role[ceilometer@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Ceilometer::Keystone::Auth/Keystone_user_role[ceilometer@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Keystone::Auth/Keystone_service[cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Keystone::Auth/Keystone_service[cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Keystone::Auth/Keystone_endpoint[RegionOne/cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Keystone::Auth/Keystone_endpoint[RegionOne/cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Keystone::Auth/Keystone_service[glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Keystone::Auth/Keystone_service[glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Keystone::Auth/Keystone_endpoint[RegionOne/glance]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Keystone::Auth/Keystone_endpoint[RegionOne/glance]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_user_role[nova@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_user_role[nova@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_user[admin]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_user[admin]: Skipping because of failed dependencies
Notice: /Stage[main]/Keystone::Roles::Admin/Keystone_user_role[admin@admin]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Keystone::Roles::Admin/Keystone_user_role[admin@admin]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Keystone::Auth/Keystone_user[cinder]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Keystone::Auth/Keystone_user[cinder]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_endpoint[RegionOne/nova_ec2]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_endpoint[RegionOne/nova_ec2]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Keystone::Auth/Keystone_endpoint[RegionOne/heat-cfn]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Heat::Keystone::Auth/Keystone_endpoint[RegionOne/heat-cfn]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_service[swift_s3]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_service[swift_s3]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_endpoint[RegionOne/swift_s3]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_endpoint[RegionOne/swift_s3]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_service[nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_service[nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Nova::Keystone::Auth/Keystone_endpoint[RegionOne/nova]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Keystone::Auth/Keystone_endpoint[RegionOne/nova]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Keystone::Auth/Keystone_user_role[neutron@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Keystone::Auth/Keystone_user_role[neutron@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_service[swift]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_service[swift]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_endpoint[RegionOne/swift]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_endpoint[RegionOne/swift]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Keystone::Auth/Keystone_endpoint[RegionOne/neutron]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Neutron::Keystone::Auth/Keystone_endpoint[RegionOne/neutron]: Skipping because of failed dependencies
Notice: /Stage[main]/Neutron::Server/Service[neutron-server]: Dependency Service[mysqld] has failures: true
Notice: /Stage[main]/Neutron::Server/Service[neutron-server]: Dependency Exec[neutron-db-manage upgrade] has failures: true
Warning: /Stage[main]/Neutron::Server/Service[neutron-server]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_user[swift]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_user[swift]: Skipping because of failed dependencies
Notice: /Stage[main]/Swift::Keystone::Auth/Keystone_user_role[swift@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Swift::Keystone::Auth/Keystone_user_role[swift@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Cinder::Keystone::Auth/Keystone_user_role[cinder@services]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Cinder::Keystone::Auth/Keystone_user_role[cinder@services]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Registry/Exec[glance-manage db_sync]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Registry/Exec[glance-manage db_sync]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Registry/Service[glance-registry]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Registry/Service[glance-registry]: Skipping because of failed dependencies
Notice: /Stage[main]/Glance::Api/Service[glance-api]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Glance::Api/Service[glance-api]: Skipping because of failed dependencies
Notice: /Stage[main]/Heat::Api_cfn/Service[heat-api-cfn]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Heat::Api/Service[heat-api]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Heat::Engine/Exec[heat-encryption-key-replacement]/returns: executed successfully
Notice: /Stage[main]/Heat::Engine/Service[heat-engine]/ensure: ensure changed 'stopped' to 'running'
Info: /Stage[main]/Heat::Engine/Service[heat-engine]: Unscheduling refresh on Service[heat-engine]
Notice: /Stage[main]/Heat::Api_cloudwatch/Service[heat-api-cloudwatch]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Nova::Cert/Nova::Generic_service[cert]/Service[nova-cert]: Dependency Service[mysqld] has failures: true
Warning: /Stage[main]/Nova::Cert/Nova::Generic_service[cert]/Service[nova-cert]: Skipping because of failed dependencies
Notice: /Stage[main]/Apache/Service[httpd]: Triggered 'refresh' from 2 events
Notice: Finished catalog run in 19.88 seconds
[root@oh-havana-controller sys]#

Comment 3 Jason Guiditta 2014-02-04 15:07:58 UTC
The mariadb service starting issue is due the mariadb rpm bug, reported here:

https://bugzilla.redhat.com/show_bug.cgi?id=1061045

Thanks weshay for pointing that out.  There are likely issues in the openstack puppet code as well, but this will fix one level of issue, if you manually fix the log file perms for now.

Comment 4 Jason Guiditta 2014-09-12 15:35:11 UTC
Omri, I realize you have not likely been testing fedora recently, but since this was an underlying fedora/mariadb issue, would you be opposed to closing this BZ?


Note You need to log in before you can comment on or make changes to this bug.